Comment 17 for bug 695437

Jeremy Munsch (jeremy-munsch) wrote :

While a toggleable option would be definitely need to be implemented, I have to say that dangerous scripts may often need to be run as sudoer.
Its also as easy to run a script with zsh or bash accidently (even not as easy but still), many of them may handle that case.

I would say that dangerous scripts are likely to be written by users themselves. And running them on synapse of with autocompletion or bad alias would be as dangerous.

I need also to say that hidden files are not handled.

I would say that :
 - an option need to be implemented to disable execute executable files by default
 - run in terminal need to be in second position for executable files

Options are stored in json file for the record
 http://synapse.zeitgeist-project.com/wiki/index.php?title=Plugins/Configuration